Loading...
Searching...
No Matches
Dune::TypeTree::SimpleFilter Struct Reference
dune-typetree » Nodes

Default simple filter that accepts any node and leaves its child structure unchanged. More...

`#include <dune/typetree/filters.hh>`

## Classes

struct | validate
| Validates the combination of filter and node. More...
struct | apply
| Applies the filter to the given child node. More...

## Public Types

typedef SimpleFilterTag | FilterTag
| Filter tag for deciding on filter application mechanism.

## Detailed Description

Default simple filter that accepts any node and leaves its child structure unchanged.

This default filter causes the filtered node to be exactly identical to the original node. It is useful as a base class for documentation purposes and if you do not need to validate the filter, as it saves having to implement the validate template struct.

## Member Typedef Documentation

## FilterTag

typedef SimpleFilterTag Dune::TypeTree::SimpleFilter::FilterTag

Filter tag for deciding on filter application mechanism.

The documentation for this struct was generated from the following file:

- filters.hh